// @ts-nocheck
'use strict';

const express = require ('express');
const auth = require ('@sapphirecode/auth-server-helper');
const body_parser = require ('body-parser');
const cookie_parser = require ('cookie-parser');
const db = require ('./lib/db');
const crypto = require ('@sapphirecode/crypto-helper');
const password_helper = require ('@sapphirecode/password-helper');

const salt = crypto.create_salt ();
const hash = crypto.hash_sha512 ('asd', salt);

const user = {
  id:       0,
  salt,
  password: password_helper.hash (hash)
};

(async () => {
  await db.init (true);

  const app = express ();
  app.use (cookie_parser ());
  app.use (body_parser.json ());
  app.use (auth ((name) => {
    if (name === 'timo')
      return user;
    return null;
  }));
}) ();
